package com.ytpm.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ytpm.agent.model.YtAppAdSource;
import com.ytpm.agent.param.AdSourceListParam;
import com.ytpm.agent.view.AgentAdSourceView;

import java.util.List;

/**
 * 广告源mapper
 */
public interface AdSourceMapper extends BaseMapper<YtAppAdSource> {

    List<AgentAdSourceView> adSourceList(AdSourceListParam param);

    void update(YtAppAdSource ytAppAdSource);

    void insertOne(YtAppAdSource ytAppAdSource);
}
